body {
    background-image : url("bg9.jpg");
}

body, div, h1, h2, h3, h4, h5, span, a, button, input {
    font-family: 'Century Gothic';
}

.main-login {
    width: 100vw;
    display: block;
    flex-direction: row;
    overflow: hidden;

}

.content-section {
    background-color: #ffe866;
    width: 62vw;
    position: fixed;
    right: 0px;
    top: 0px;
}

.login-header {
    margin-bottom: 20px;
}


.login-section {
    display: flex;
    flex-direction: column;
    width: 30vw;
    padding: 5%;
    padding-top: 5%;
    padding-bottom: 5%;
}

.input-label {
    text-align: center;
}

.label-group {
    margin-top: 14px;
    margin-bottom: 14px;
    justify-items: left;
}

.input {
    padding: 10px;
    display: flex;
    border-width: 4px;
    width: 100%;
    color: gray;
}

.label-group:focus-within .input-label {
    font-weight: 100;
}

.input-group {
    border-radius: 2px;
    border-width: 0px;
    border-color: gray;
    border-style: solid;
    padding: 8px;
    padding-left: 0px;
    padding-right: 0px;
    width: 150%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    /*align-items: center;*/
    transition: all 0.15s;
}

.input-icon {
    height: 17px;
}

.main-button {
    margin-top: 10px;
    width: 100%;
    background-color: #d67b5f;
    padding: 8px;
    font-size: 14px;
    border-radius: 10px;
    border-width: 0px;
    cursor: pointer;
    display: block;
}

.main-button:hover {
    background-color: #ffdc6a;
}

.hand {
    margin-left: auto;
    margin-right: auto;
    width: 65%;
    display: block;
}

.create-new {
    color: gray;
    font-size: 12px;
    margin-top: 25px;
    cursor: pointer;
}

.auth-section {
    display: flex;
    flex-direction: column;
    transition: all 0.3s;
    position: absolute;
    opacity: 1;
    visibility: visible;
    width: 400px;
    /*align-items: center;*/
}

.hide {
    visibility: hidden;
    opacity: 0;
}

.error-message {
    color: rgb(219, 120, 120);
    font-weight : 100;
    padding: 20px;
    margin: 5px;
    margin-left: 0px;
    background-color: rgb(255, 239, 239);
    border-radius: 10px;
    display: none;
}

.success-message {
    color: rgb(115, 207, 115);
    font-weight : 100;
    padding: 20px;
    margin: 5px;
    margin-left: 0px;
    background-color: rgb(234, 255, 234);
    border-radius: 10px;
    display: none;
}

.homepage {
    width: 50vw;
    padding: 100px;
    margin-left: auto;
    margin-right: auto;
    font-size: 48px;
    font-weight: 700;
}

.homepage-subtitle {
    font-size: 36px;
}

.logout-button {
    font-size: 30px;
}

.homepage a {
    text-decoration: none;
}

.loading-hide {
    display: none !important;
}

.lds-ring {
    display: inline-block;
    position: relative;
    width: 40px;
    height: 20px;
}

.lds-ring div {
    box-sizing: border-box;
    display: block;
    position: absolute;
    width: 25px;
    height: 25px;
    margin: 3px;
    border: 4px solid black;
    border-radius: 80%;
    animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    border-color: black transparent transparent transparent;
}

.lds-ring div:nth-child(1) {
    animation-delay: -0.45s;
}

.lds-ring div:nth-child(2) {
    animation-delay: -0.3s;
}

.lds-ring div:nth-child(3) {
    animation-delay: -0.15s;
}

@keyframes lds-ring {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}
